Bug 1492175 - [systemtap] Hotspot tapsets have wrong path reference to libjvm.so
Summary: [systemtap] Hotspot tapsets have wrong path reference to libjvm.so
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: java-9-openjdk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Severin Gehwolf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-15 16:15 UTC by Severin Gehwolf
Modified: 2018-02-14 17:09 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-14 17:09:11 UTC


Attachments (Terms of Use)
Spec file patch with proposed fix. (2.07 KB, patch)
2017-09-15 16:19 UTC, Severin Gehwolf
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Icedtea Bugzilla 3471 None None None 2017-10-13 16:09 UTC

Description Severin Gehwolf 2017-09-15 16:15:09 UTC
Description of problem:
No systemtap probes in JDK 9 work, since the reference to libjvm.so is wrong. It used to be /usr/lib/jvm/{NVRA}/lib/amd64/server/libjvm.so in JDK 8 but is now /usr/lib/jvm/{NVRA}/lib/server/libjvm.so in JDK 9.

Version-Release number of selected component (if applicable):
$ rpm -q java-9-openjdk
java-9-openjdk-9.0.0.181-1.fc26.x86_64

How reproducible:
100%

Steps to Reproduce:
$ cat > HelloWorld.java <<EOF
public class HelloWorld {
  public static void main(String[] args) {
    System.out.println("Hello World");
  }
}
EOF
$ javac HelloWorld.java
$ wget http://icedtea.classpath.org/~vanaltj/stapexamples/jobjectstats2.stp
$ cp /usr/lib/jvm/java/include/jni.h /usr/lib/jvm/java/include/linux/jni_md.h . && \
  sudo stap -c "/usr/lib/jvm/java/bin/java -XX:+DTraceAllocProbes -XX:+ExtendedDTraceProbes HelloWorld" jobjectstats2.stp && \
  sudo rm -rf /root/.systemtap/cache; rm jni.h jni_md.h

Actual results:
semantic error: while resolving probe point: identifier 'process' at /usr/share/systemtap/tapset/x86_64/hotspot-9.0.0.181-1.fc26.x86_64.stp:163:3
        source:   process("/usr/lib/jvm/java-9-openjdk-9.0.0.181-1.fc26.x86_64/lib/amd64/server/libjvm.so").mark("thread__start")
                  ^

semantic error: no match

Pass 2: analysis failed.  [man error::pass2]

Expected results:
jobjectstats2.stp runs as expected.

Additional info:
Note that bug 1492139 applies to JDK 9 too. So once this issue is fixed, JDK 9 will need a similar fix than what JDK 8 will recieve via bug 1492139.

Comment 1 Severin Gehwolf 2017-09-15 16:19 UTC
Created attachment 1326558 [details]
Spec file patch with proposed fix.

Comment 2 Severin Gehwolf 2017-10-26 09:41:28 UTC
Any movement on this?

Comment 3 Fedora Update System 2018-01-24 10:31:23 UTC
java-9-openjdk-9.0.4.11-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e2e52fb0bf

Comment 4 Fedora Update System 2018-01-25 08:37:58 UTC
java-9-openjdk-9.0.4.11-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e2e52fb0bf

Comment 5 Fedora Update System 2018-01-25 09:36:07 UTC
java-9-openjdk-9.0.4.11-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9e6e636c60

Comment 6 Fedora Update System 2018-01-26 18:10:09 UTC
java-9-openjdk-9.0.4.11-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-01-26 19:11:57 UTC
java-9-openjdk-9.0.4.11-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9e6e636c60

Comment 8 Fedora Update System 2018-01-29 09:45:30 UTC
java-9-openjdk-9.0.4.11-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9718389704

Comment 9 Fedora Update System 2018-01-29 19:14:20 UTC
java-9-openjdk-9.0.4.11-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9718389704

Comment 10 Fedora Update System 2018-02-14 17:09:11 UTC
java-9-openjdk-9.0.4.11-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.